.CodeMirror {
	font-family: 'Anonymous Pro', monospace!important;
}

button {
	border: none;
	margin: 1px;
}

.editor-preview-side, .CodeMirror {
	border-right: none!important;
}

.editor-preview-side img {
	max-width: 100%;
}

.task-list-item {
	list-style-type: none;
}

.checkbox input[type="checkbox"] {
	cursor: pointer;
}

input[type="checkbox"][disabled],
input[type="checkbox"][disabled] ~ label {
	cursor: default;
}

.filelist-line {
	padding-left: 1px;
}

.normal-line-height {
	line-height: normal;
}

/* Do not break long URLs to keep pads readable */

.cm-string + .cm-url {
	white-space: nowrap;
}

.CodeMirror-matchingbracket {
	border: 1px solid #ddd;
	letter-spacing: -2px;
	color: unset!important;
}

.cm-matchhighlight {
	border-bottom: 2px solid #89DBFF;
}


.alert-info {
	background-color: #d9edf7cc;
}

.alert-success {
	background-color: #dff0d8cc;
}

.alert-danger {
	background-color: #f2dedecc;
}

.alert-warning {
	background-color: #fcf8e3cc;
}


/* Embeds */

.icon.fa-youtube-play {
	color: #BB0000;
}

.icon.fa-youtube-play:hover {
	color: red;
}

a.embed {
	display: block;
	overflow: hidden;
	position: relative;
}

a.embed .icon {
	position: absolute;
	height: auto;
	width: auto;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}

.embed-responsive-210by297 {
	padding-bottom: 141.42%;
}

.embed-blocked {
	background-color: #ccc;
	padding: 20px;
	width: 50%;
	min-width: 380px;
	border: 1px solid;
}

.embed-blocked-link {
	margin-left: 90px;
	color: #787777;
}

.embed-blocked-button {
	color: whitesmoke;
	padding: 8px 12px;
	background-color: #9e9e9e;
	margin-left: 20px;
}

.embed-blocked i {
	float: left;
	padding-right: 10px;
	color: #9e9e9e;
}

.embed-blocked p {
	margin-top: -5px;
	margin-bottom: 20px;
}

.embed-blocked a:hover, .embed-blocked a:focus {
	text-decoration: none;
}


/* Fix hidden status bar */
.editor-statusbar {
	position: absolute;
	pointer-events: none;
	z-index: 10;
	right: 0;
	padding: 28px 10px!important;
}

@media (max-width: 1130px) {
	.editor-statusbar {
		visibility: hidden;
	}
	
	.statusbar-logo {
		bottom: 0;
		right: 15px!important;
	}
}

/* Logo */
.statusbar-logo {
	position: absolute;
	padding: 4px 8px;
	right: 0;
	z-index: 11;
}

.statusbar-logo a {
	color: #2c3e50;
	text-decoration: none;
}

#logo-name {
  font-weight: 700;
}

.padding-2 {
	padding: 0px 2px;
}

/* Overlay on connection abort */

.ovl {
	position: fixed;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: rgba(104, 104, 104, 0.75);
	z-index: 11;
	transition: all ease 1s;
}

.invisible {
	opacity: 0;
	display: none;
	visibility: unset;
}

.ovl-txt {
	text-align: center;
	position: absolute;
	top: 50%;
	left: 50%;
	font-size: 3em;
	color: whitesmoke;
	transform: translate(-50%, -50%);
	-ms-transform: translate(-50%, -50%);
}

.ovl-txt p {
	margin-top: -0.5em;
	font-size: 0.5em;
}

.ovl-txt a {
	text-decoration: none;
	color: whitesmoke;
}

.tos-txt {
	text-align: center;
	position: absolute;
	top: 40%;
	left: 50%;
	transform: translate(-50%, -50%);
	-ms-transform: translate(-50%, -50%);
}

.tos-txt button {
	padding: 6px 30px;
	font-size: 1.2em;
}

/* Replace arrow before details element */

details > summary:first-of-type {
	list-style-type: none;
}

::-webkit-details-marker {
	display: none;
}

summary {
	outline: none;
	-webkit-user-select: none;
	-moz-user-select: none;
	-khtml-user-select: none;
	-ms-user-select: none;
	cursor: pointer;
}

details > summary .details-marker:before {
	content: "\25BA";
}

details[open] > summary .details-marker:before {
	content: "\25BC";
}

details > *:not(summary) {
	padding-left: 1.25em;
}


/* Checkboxes, radios */
.sidebar-wrapper .checkbox, .radio {
    padding-left: 20px;
}

#main .checkbox {
	margin-top: unset;
	margin-bottom: unset;
}

.checkbox input[type="checkbox"], .radio input[type="radio"] {
    opacity: 0;
    z-index: 1;
}

.checkbox label, .radio label {
    display: inline-block;
    vertical-align: middle;
    position: relative;
    padding-left: 5px;
	-webkit-user-select: none;
	-moz-user-select: none;
  	-ms-user-select: none;
  	user-select: none;
}

.radio label::before {
  content: "";
  display: inline-block;
  position: absolute;
  width: 17px;
  height: 17px;
  left: 0;
  margin-left: -20px;
  border: 1px solid #cccccc;
  border-radius: 50%;
  background-color: #fff;
}

.radio label::after {
  display: inline-block;
  position: absolute;
  content: " ";
  width: 11px;
  height: 11px;
  left: 3px;
  top: 3px;
  margin-left: -20px;
  border-radius: 50%;
  background-color: #555555;
  -webkit-transform: scale(0, 0);
  -ms-transform: scale(0, 0);
  -o-transform: scale(0, 0);
  transform: scale(0, 0);
  -webkit-transition: -webkit-transform 0.1s cubic-bezier(0.8, -0.33, 0.2, 1.33);
  -moz-transition: -moz-transform 0.1s cubic-bezier(0.8, -0.33, 0.2, 1.33);
  -o-transition: -o-transform 0.1s cubic-bezier(0.8, -0.33, 0.2, 1.33);
  transition: transform 0.1s cubic-bezier(0.8, -0.33, 0.2, 1.33);
}

.radio input[type="radio"]:checked + label::after {
  -webkit-transform: scale(1, 1);
  -ms-transform: scale(1, 1);
  -o-transform: scale(1, 1);
  transform: scale(1, 1);
}

.checkbox label::before {
    content: "";
    display: inline-block;
    position: absolute;
    width: 17px;
    height: 17px;
    left: 0;
    margin-left: -20px;
	margin-top: 2px;
    border: 1px solid #ccc;
    border-radius: 3px;
    background-color: #fff;
}

.checkbox input[type="checkbox"]:checked + label::after {
    font-family: "FontAwesome";
    content: "\f00c";
}

.checkbox label::after {
    display: inline-block;
    position: absolute;
    width: 16px;
    height: 16px;
    left: 0;
    top: 0;
    margin-left: -20px;
	margin-top: 2px;
    padding-left: 3px;
    padding-top: 1px;
    font-size: 11px;
    color: #555;
}

.sidebar-wrapper .checkbox input[type="checkbox"]:disabled {
  cursor: not-allowed;
}
.sidebar-wrapper .checkbox input[type="checkbox"]:disabled + label {
  opacity: 0.65;
}
.sidebar-wrapper .checkbox input[type="checkbox"]:disabled + label::before {
  background-color: #eeeeee;
  cursor: not-allowed;
}


/* Spoiler */
.spoiler {
	width: -webkit-fit-content;
	width: -moz-fit-content;
	width: fit-content;
	transition: filter 250ms;
	transition: text-shadow 500ms;
}

.spoiler:not(:hover) {
	text-shadow: 0 0 1.5ex black;
	color: transparent!important;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	filter: blur(6px);
	transition: filter 750ms;
}

.spoiler:not(:hover) a {
	color: transparent!important;
}


/* Sidebar */

.sidebar-wrapper {
	z-index: 10;
	width: 0;
	height: 100%;
	overflow-y: auto;
	overflow-x: hidden;
	-webkit-transition: all 0.5s ease;
	-moz-transition: all 0.5s ease;
	-o-transition: all 0.5s ease;
	transition: all 0.5s ease;
	border-right: 1px solid #ddd;
	background-color: white;
}

#sidebar-wrapper::-webkit-scrollbar {
	display: none;
}

.sidebar-toggled {
	width: 220px!important;
}


/* Settings sidebar */

#settings-sidebar h3 {
	margin-top: 0.5em;
	margin-bottom: 1em;
}

#settings-sidebar .collapse, #settings-sidebar .collapsing {
	padding-top: 10px;
}

.sidebar-border {
	width: 85%;
	margin-left: auto;
	margin-right: auto;
}

.sidebar-button {
	height: 35px;
}

#settings-sidebar hr {
	border-top: 2px dashed #eee;
}

#sett-apw {
	margin: auto;
	width: 90%;
}


/* Share sidebar */
#share-sidebar input[readonly] {
	background: white;
}

sidebar-nav h4 {
	margin-top: 1em;
}


/* Toast-style notifications */

 /* The snackbar - position it at the bottom and in the middle of the screen */
#snackbar {
    visibility: hidden; /* Hidden by default. Visible on click */
    min-width: 250px; /* Set a default minimum width */
    margin-left: -125px; /* Divide value of min-width by 2 */
    text-align: center; /* Centered text */
    border-radius: 2px; /* Rounded borders */
    padding: 16px; /* Padding */
    position: fixed; /* Sit on top of the screen */
    z-index: 10; /* Add a z-index if needed */
    left: 50%; /* Center the snackbar */
    bottom: 30px; /* 30px from the bottom */
}

.btn-toast {
	background-color: #333;
    color: #fff;
}

/* Show the snackbar when clicking on a button (class added with JavaScript) */
#snackbar.show {
    visibility: visible; /* Show the snackbar */

/* Add animation: Take 0.5 seconds to fade in and out the snackbar.
However, delay the fade out process for 2.5 seconds */
    -webkit-animation: fadein 0.5s, fadeout 0.5s 4.5s;
    animation: fadein 0.5s, fadeout 0.5s 4.5s;
}

/* Animations to fade the snackbar in and out */
@-webkit-keyframes fadein {
    from {bottom: 0; opacity: 0;}
    to {bottom: 30px; opacity: 1;}
}

@keyframes fadein {
    from {bottom: 0; opacity: 0;}
    to {bottom: 30px; opacity: 1;}
}

@-webkit-keyframes fadeout {
    from {bottom: 30px; opacity: 1;}
    to {bottom: 0; opacity: 0;}
}

@keyframes fadeout {
    from {bottom: 30px; opacity: 1;}
    to {bottom: 0; opacity: 0;}
} 


/* -----------------------------------------------
 * Timeline
 * --------------------------------------------- */
 .timeline {
    list-style: none;
    padding: 10px 0;
    position: relative;
    font-weight: 300;
	 height: 98%;
}
.timeline:before {
    top: 0;
    bottom: 0;
    position: absolute;
    content:" ";
    width: 2px;
    background: #ddd;
    left: 10%;
    margin-left: -1.5px;
}
.timeline > li {
    margin-bottom: 20px;
	margin-right: 5%;
    position: relative;
    width: 85%;
	float: right;
    clear: right;
}
.timeline > li:before, .timeline > li:after {
    content:" ";
    display: table;
}
.timeline > li:after {
    clear: both;
}
.timeline > li:before, .timeline > li:after {
    content:" ";
    display: table;
}
.timeline > li:after {
    clear: both;
}
.timeline > li > .timeline-panel {
    width: calc(100% - 25px);
    width: -moz-calc(100% - 25px);
    width: -webkit-calc(100% - 25px);
    float: right;
    border: 1px solid #dcdcdc;
    background: #ffffff;
    position: relative;
	cursor: pointer;
}
.timeline > li > .timeline-panel:before {
    position: absolute;
    top: 26px;
    left: -15px;
    right: auto;
    display: inline-block;
    border-top: 15px solid transparent;
    border-left: 15px solid #dcdcdc;
    border-right: 0 solid #dcdcdc;
    border-bottom: 15px solid transparent;
	border-left-width: 0;
    border-right-width: 15px;
    content:" ";
}
.timeline > li > .timeline-panel:after {
    position: absolute;
    top: 27px;
	left: -14px;
    right: auto;
    display: inline-block;
    border-top: 14px solid transparent;
    border-left: 14px solid #ffffff;
    border-right: 0 solid #ffffff;
    border-bottom: 14px solid transparent;
	border-left-width: 0;
    border-right-width: 14px;
    content:" ";
}
.timeline > li > .timeline-panel:hover {
	background: #dcf6ff!important;
}
.timeline > li > .timeline-panel:hover:after {
	border-left-color: #dcf6ff;
	border-right-color: #dcf6ff;
}
.timeline > li > .timeline-badge {
    color: #ffffff;
    width: 24px;
    height: 24px;
    line-height: 50px;
    text-align: center;
    position: absolute;
    top: 16px;
    right: -12px;
	left: -12px;
    z-index: 100;
}
.timeline-badge > a {
    color: #ddd !important;
}
.timeline-badge a:hover {
    color: #bdbdbd !important;
}
.timeline-title {
    margin-top: 0;
    color: inherit;
}
.timeline-heading h4 {
    font-weight: 400;
    padding: 0 15px;
    color: #212121;
}
.timeline-body > p, .timeline-body > ul {
    padding: 10px 15px;
    margin-bottom: 0;
}
.timeline-body > p {
	font-size: 12px;
}
.timeline-footer {
    padding: 5px 15px;
    background-color: #b7ecff;
}

.timeline-footer > span {
	float: right;
	font-size: 11px;
	padding-top: 3px;
}

.rem-rev {
	color: #e91414;
	font-size: 1.2em;
	vertical-align: -6%;
	margin-left: -10%;
	padding: 1px 3px 1px 3px;
	opacity: 0;
}

.timeline-footer > i:hover {
	color: #c50000;
}

.timeline-footer p { margin-bottom: 0; }
.timeline-footer > a {
    cursor: pointer;
    text-decoration: none;
}
.timeline > li:nth-child(2) {
    margin-top: 15%;
}
.no-float {
    float: none !important;
}



.cssload-thecube {
	width: 75px;
	height: 75px;
	margin: 0 auto;
	margin-top: 50px;
	position: relative;
	top: 40%;
	transform: rotateZ(45deg);
		-o-transform: rotateZ(45deg);
		-ms-transform: rotateZ(45deg);
		-webkit-transform: rotateZ(45deg);
		-moz-transform: rotateZ(45deg);
}
.cssload-thecube .cssload-cube {
	position: relative;
	transform: rotateZ(45deg);
		-o-transform: rotateZ(45deg);
		-ms-transform: rotateZ(45deg);
		-webkit-transform: rotateZ(45deg);
		-moz-transform: rotateZ(45deg);
}
.cssload-thecube .cssload-cube {
	float: left;
	width: 50%;
	height: 50%;
	position: relative;
	transform: scale(1.1);
		-o-transform: scale(1.1);
		-ms-transform: scale(1.1);
		-webkit-transform: scale(1.1);
		-moz-transform: scale(1.1);
}
.cssload-thecube .cssload-cube:before {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgb(234, 234, 234);
	animation: cssload-fold-thecube 2.76s infinite linear both;
		-o-animation: cssload-fold-thecube 2.76s infinite linear both;
		-ms-animation: cssload-fold-thecube 2.76s infinite linear both;
		-webkit-animation: cssload-fold-thecube 2.76s infinite linear both;
		-moz-animation: cssload-fold-thecube 2.76s infinite linear both;
	transform-origin: 100% 100%;
		-o-transform-origin: 100% 100%;
		-ms-transform-origin: 100% 100%;
		-webkit-transform-origin: 100% 100%;
		-moz-transform-origin: 100% 100%;
}
.cssload-thecube .cssload-c2 {
	transform: scale(1.1) rotateZ(90deg);
		-o-transform: scale(1.1) rotateZ(90deg);
		-ms-transform: scale(1.1) rotateZ(90deg);
		-webkit-transform: scale(1.1) rotateZ(90deg);
		-moz-transform: scale(1.1) rotateZ(90deg);
}
.cssload-thecube .cssload-c3 {
	transform: scale(1.1) rotateZ(180deg);
		-o-transform: scale(1.1) rotateZ(180deg);
		-ms-transform: scale(1.1) rotateZ(180deg);
		-webkit-transform: scale(1.1) rotateZ(180deg);
		-moz-transform: scale(1.1) rotateZ(180deg);
}
.cssload-thecube .cssload-c4 {
	transform: scale(1.1) rotateZ(270deg);
		-o-transform: scale(1.1) rotateZ(270deg);
		-ms-transform: scale(1.1) rotateZ(270deg);
		-webkit-transform: scale(1.1) rotateZ(270deg);
		-moz-transform: scale(1.1) rotateZ(270deg);
}
.cssload-thecube .cssload-c2:before {
	animation-delay: 0.35s;
		-o-animation-delay: 0.35s;
		-ms-animation-delay: 0.35s;
		-webkit-animation-delay: 0.35s;
		-moz-animation-delay: 0.35s;
}
.cssload-thecube .cssload-c3:before {
	animation-delay: 0.69s;
		-o-animation-delay: 0.69s;
		-ms-animation-delay: 0.69s;
		-webkit-animation-delay: 0.69s;
		-moz-animation-delay: 0.69s;
}
.cssload-thecube .cssload-c4:before {
	animation-delay: 1.04s;
		-o-animation-delay: 1.04s;
		-ms-animation-delay: 1.04s;
		-webkit-animation-delay: 1.04s;
		-moz-animation-delay: 1.04s;
}



@keyframes cssload-fold-thecube {
	0%, 10% {
		transform: perspective(140px) rotateX(-180deg);
		opacity: 0;
	}
	25%,
				75% {
		transform: perspective(140px) rotateX(0deg);
		opacity: 1;
	}
	90%,
				100% {
		transform: perspective(140px) rotateY(180deg);
		opacity: 0;
	}
}

@-o-keyframes cssload-fold-thecube {
	0%, 10% {
		-o-transform: perspective(140px) rotateX(-180deg);
		opacity: 0;
	}
	25%,
				75% {
		-o-transform: perspective(140px) rotateX(0deg);
		opacity: 1;
	}
	90%,
				100% {
		-o-transform: perspective(140px) rotateY(180deg);
		opacity: 0;
	}
}

@-webkit-keyframes cssload-fold-thecube {
	0%, 10% {
		-webkit-transform: perspective(140px) rotateX(-180deg);
		opacity: 0;
	}
	25%,
				75% {
		-webkit-transform: perspective(140px) rotateX(0deg);
		opacity: 1;
	}
	90%,
				100% {
		-webkit-transform: perspective(140px) rotateY(180deg);
		opacity: 0;
	}
}

@-moz-keyframes cssload-fold-thecube {
	0%, 10% {
		-moz-transform: perspective(140px) rotateX(-180deg);
		opacity: 0;
	}
	25%,
				75% {
		-moz-transform: perspective(140px) rotateX(0deg);
		opacity: 1;
	}
	90%,
				100% {
		-moz-transform: perspective(140px) rotateY(180deg);
		opacity: 0;
	}
}



.mdi-label {
    padding: .2em .6em .3em;
    font-size: 75%;
    font-weight: 700;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: .25em;
}

.mdi-label-text-light {
    color: white
}

.mdi-label-text-dark {
    color: #332900
}